body {
  margin: 0;
  font-family: Arial, sans-serif;
}


/* reglage du header*/
.mon-header {
  position: sticky;
  top: 0;
  background-color: #111;
}

.header-containeur {
  margin-left: auto;
  margin-right: auto;
  padding: 20px 30px;

  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  color: #ffffff;
  font-size: 20px;
  font-weight: bold;
}

.colorie {
  color: #fc19e9;
}

.menu-principal a {
  color: #cccccc;
  text-decoration: none;
  margin-left: 25px;
  font-size: 14px;
}

.menu-principal a:hover {
  color:#fc19e9;
}

.menu-principal a.actif {
  color: #fc19e9;
}


/* section hero ou accueil */

.mon-hero {
  display: flex;
  align-items: space-between;
  margin : 0px 200px;
  gap: 80px;
}

.hero {
  display: flex;
  align-items: center;
  gap: 20px;
  padding: 80px;
}

.hero-text {
  max-width: 500px;
}

.hero-text h1 {
  font-size: 32px;
  line-height: 1.4;
}

.hero-text span {
  color: #fc19e9;
}

button {
  background-color: #fc19e9;
  color: white;
  border: none;
  padding: 10px 30px;
  border-radius: 5px;
  cursor: pointer;
  font-weight: bold;
}

a {
  color: white;
}


.imagedudev img {
  width: 250px;
  height: auto;
}

/* section a propos */
.apropos {
  padding: 40px 20px;
  background-color: black;
}


.apropos h2 {
  text-align: center;
  color: #fc19e9;
  margin-bottom: 60px;
}


.apropos-contenu {
  display: flex;
  align-items: space-between;
  margin : 0px 200px;
  gap: 80px;
}
.apropos-texte {
  max-width: 500px;
  color: white;
}

.apropos-text p {
  margin-bottom: 20px;
  line-height: 1.6;
  }

.apropos-text span {
  color: #fc19e9;
  font-weight: bold;
}

.apropos-image img {
  width: 300px;
  height: 300px;
  object-fit: cover;
  border-radius: 50%;
  border: 4px solid #fc19e9;
}

/* section projets */
.projets {
  padding: 80px 20px;
  background-color: #ffffff;
}

.projets h2 {
  text-align: center;
  color: #fc19e9;
  margin-bottom: 60px;
}

.projets-container {
  max-width: 1100px;
  margin: 0 auto;
  display: flex;
  gap: 30px;
  justify-content: center;
  flex-wrap: nowrap;
}

.projet-card {
  background-color: #ff0aca56;
  padding: 30px;
  border-radius: 12px;
  width: 300px;
  text-align: center;
}

.projet-card p {
  margin-bottom: 20px;
  line-height: 1.5;
}

.projet-card span {
  display: block;
  margin-bottom: 20px;
  color: #666;
}

/* section competences */
.competences {
  background-color: #000000;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 50px;
}

.competences h2 {
  text-align: center;
  margin-bottom: 40px;
  color: #fc19e9;
}

/* les deux colonnes */
.container {
  display: flex;
  gap: 40px;
}

.skill-colonne {
  background: white;
  padding: 30px;
  border-radius: 15px;
  width: 400px;
  box-shadow: 0 4px 10px rgba(0,0,0,0.05);
}

.skill { margin-bottom: 20px; }

.skill label {
  display: block;
  margin-bottom: 8px;
  font-weight: bold;
  font-size: 0.9em;
}
.skill-colonne h3 { text-align: center}

.barre-de-progression {
  background-color: #e0e0e0; 
  border-radius: 10px;
  height: 12px;
  width: 100%;
}

.remplissage {
  background-color: #fc19e9;
  height: 100%;
  border-radius: 10px;}

  
/* section formulaire */
.section-du-formulaire {
    background-color: #12121267;
    padding: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    font-family: sans-serif;
}

.containeur-du-formulaire {
    width: 100%;
    max-width: 600px;
    text-align: center;
}

.surligneur {
    color: #fc19e9;
}

.colonne {
    display: flex;
    gap: 50px;
}

.mot-saisi {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 15px;
}

.mot-saisi label {
    font-size: 0.9rem;
    margin-bottom: 5px;
}

input,
textarea {
    width: 100%;
    padding: 10px;
    border-radius: 5px;
    border: none;
}


/* section footer */
.mon-footer {
  background-color: #111;
}

.footer-containeur {
  margin-left: auto;
  margin-right: auto;
  padding: 20px 30px;
  color:white;
 
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.droits, .logo-footer {
  color: #ffffff;
   font-size: 10px;
   font-weight: light;
}

